TimeToCargo

List tracked shipments

Download OpenAPI
GET
/v2/shipments

Example request: https://tracking.timetocargo.com/v2/shipments?api_key=aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee&page=1&limit=50&status=ACTIVE

Authorization

api_key
api_key<token>

In: query

Query Parameters

need_route?boolean

Whether to include route information

Defaultfalse
page?number

Page number

Range1 <= value <= 100000000
Default1
limit?number

Number of trackings per page

Range1 <= value <= 500
Default50
status?string

Filter shipments by status. Available values: ACTIVE, ARCHIVED

Value in

  • "ACTIVE"
  • "ARCHIVED"

Response Body

application/json

curl -X GET "https://example.com/v2/shipments?need_route=false&page=1&limit=50&status=ACTIVE"
{  "success": true,  "data": {    "data": [      {        "id": "d8976b45-e3e6-4115-b723-57f9b95fc76b",        "tracked_item": {          "track_number": "MSCU1234567",          "track_number_type": "container",          "company_id": 60,          "data": {            "success": true,            "data": {              "summary": {                "origin": {                  "location": 0,                  "terminal": 0,                  "date": "2023-03-25T00:00:00"                },                "pol": {                  "location": 0,                  "terminal": 0,                  "date": "2023-03-25T00:00:00"                },                "pod": {                  "location": 0,                  "terminal": 0,                  "date": "2023-03-25T00:00:00"                },                "destination": {                  "location": 0,                  "terminal": 0,                  "date": "2023-03-25T00:00:00"                },                "company": {                  "name": "MSC",                  "full_name": "Mediterranean Shipping Company",                  "url": "https://www.msc.com/",                  "scacs": [                    "MEDU",                    "MSCU"                  ]                }              },              "locations": [                {                  "id": 0,                  "name": "Gothenburg",                  "state": "Halland",                  "terminal": "Port of Gothenburg",                  "country": "Sweden",                  "lat": 57.70887,                  "lng": 11.97456                }              ],              "terminals": [                {                  "id": 0,                  "name": "Port of Gothenburg"                }              ],              "containers": [                {                  "number": "TCKU7858986",                  "type": "40' Dry",                  "events": [                    {                      "location": 0,                      "terminal": 0,                      "status": "On Board",                      "status_code": "CLL",                      "date": "2023-10-25T11:11:11",                      "actual": false,                      "vessel": "Evergreen Teresa",                      "voyage": "V. 284"                    }                  ]                }              ],              "route_info": {                "route": [                  {                    "path": [                      [                        48.698306,                        14.042056                      ],                      [                        45.039944,                        12.751222                      ],                      [                        43.463278,                        12.6745                      ],                      [                        32.566855,                        29.927166                      ],                      [                        32.284501,                        31.232806                      ]                    ],                    "type": "sea"                  }                ],                "current_position": [                  32.284501,                  31.232806                ],                "last_updated": "2023-10-25T11:11:11",                "course": 247.34              },              "shipment_status": "IN_TRANSIT",              "references": {                "booking_numbers": [                  "2315887441"                ],                "bill_of_lading_numbers": [                  "MEDUH1234567"                ]              }            },            "status": "OK",            "status_description": "Information found"          },          "updated_at": "2026-04-08T12:08:55.307Z",          "checked_at": "2026-04-08T12:08:55.307Z",          "company_name": "Mediterranean Shipping Company"        },        "start_date": "2026-04-08T12:26:56.940Z",        "end_date": "2026-04-12T09:18:49.395Z",        "status": "ACTIVE",        "note": "Order 4521",        "created_at": "2026-04-08T12:08:54.569Z",        "track_number": "MSCU1234567"      }    ],    "meta": {      "itemsPerPage": 50,      "totalItems": 145,      "currentPage": 2,      "totalPages": 3,      "sortBy": [        [          "created_at",          "DESC"        ],        [          "id",          "DESC"        ]      ],      "filter": {        "status": "$eq:ACTIVE"      }    },    "links": {      "first": "/v2/shipments?page=1&limit=50&status=ACTIVE",      "previous": "/v2/shipments?page=1&limit=50&status=ACTIVE",      "current": "/v2/shipments?page=2&limit=50&status=ACTIVE",      "next": "/v2/shipments?page=3&limit=50&status=ACTIVE",      "last": "/v2/shipments?page=3&limit=50&status=ACTIVE"    }  },  "status": "OK",  "status_description": "Information found"}